Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## avrora.util
Class ErrorReporter

    java.lang.Object
      avrora.util.ErrorReporter

Direct Known Subclasses:
  AVRErrorReporter

public class ErrorReporter
extends java.lang.Object

The `ErrorReporter` is the super class of all error reporters in Avrora. It contains several utility methods that subclasses can use to generate compilation errors that are thrown with much less code.

Constructor Summary
`ErrorReporter()`

Method Summary
`protected void` | `error(java.lang.String report, java.lang.String name, ProgramPoint p)`
`protected void` | `error(java.lang.String report, java.lang.String name, java.lang.String p1, ProgramPoint p)`
`protected void` | `error(java.lang.String report, java.lang.String name, java.lang.String p1, java.lang.String p2, ProgramPoint p)`
`protected void` | `error(java.lang.String report, java.lang.String name, java.lang.String p1, java.lang.String p2, java.lang.String p3, ProgramPoint p)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ErrorReporter

    public ErrorReporter()

Method Detail

### error

    protected void error(java.lang.String report,
                         java.lang.String name,
                         ProgramPoint p)

### error

    protected void error(java.lang.String report,
                         java.lang.String name,
                         java.lang.String p1,
                         ProgramPoint p)

### error

    protected void error(java.lang.String report,
                         java.lang.String name,
                         java.lang.String p1,
                         java.lang.String p2,
                         ProgramPoint p)

### error

    protected void error(java.lang.String report,
                         java.lang.String name,
                         java.lang.String p1,
                         java.lang.String p2,
                         java.lang.String p3,
                         ProgramPoint p)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD